Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmRelocation_s Struct Reference

We pass these around as an array with a sentinel. More...

`#include <rpmlib.h>`

## Data Fields
const char * | oldPath
const char * | newPath

## Detailed Description

We pass these around as an array with a sentinel.

Definition at line 765 of file rpmlib.h.

## Field Documentation

const char* rpmRelocation_s::newPath

| NULL means to omit the file completely! Definition at line 769 of file rpmlib.h. Referenced by addTE, delTE, and rpmInstall.

const char* rpmRelocation_s::oldPath

| NULL here evals to RPMTAG_DEFAULTPREFIX, Definition at line 767 of file rpmlib.h. Referenced by addTE, delTE, and rpmInstall.

The documentation for this struct was generated from the following file:

- lib/rpmlib.h